TechDraw "Добавить вспомогательную вершину"

From FreeCAD Documentation
This page is a translated version of the page TechDraw CosmeticVertex and the translation is 56% complete.
Other languages:

Добавить вспомогательную вершину

Системное название
TechDraw_CosmeticVertex
Расположение в меню
TechDraw → Добавить Вершины → Добавить вспомогательную вершину
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Добавить вершины по центрам граней, Добавить 4-ре вершины по краям окружности

Описание

The TechDraw CosmeticVertex tool adds a vertex, which is not part of the source geometry, to a view. This vertex behaves like any other vertex and can be used for dimensioning.

Cosmetic vertices used to create an otherwise impossible dimension

Применение

  1. Select a view.
  2. There are several ways to invoke the tool:
    • Press the Add Cosmetic Vertex button.
    • Select the TechDraw → Add Vertices → Add Cosmetic Vertex option from the menu.
  3. A task panel opens.
  4. Optionally press the Point Picker button and pick a point on the page. Press the Escape picking button to cancel this operation.
  5. Optionally change or specify the X and Y coordinates of the point. The coordinates are relative to the center of the view.
  6. Press the OK button.

Notes

  • You cannot change the position of an existing cosmetic vertex. At the moment there is no other way than to delete it and create a new one.

Свойства

Cosmetic vertices have no properties of their own, as they are not document objects. They share color and size settings with regular geometry vertices.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

Cosmetic vertices are available to macros or the Python console.

dvp = App.ActiveDocument.View
org = App.Vector(0.0, 0.0, 0.0)
dvp.makeCosmeticVertex(org);

#lines too!
start = FreeCAD.Vector (1.0, 5.0, 0.0)
end = FreeCAD.Vector(1.0, -5.0, 0.0)
style = 2
weight = 0.75
pyGreen = (0.0, 0.0, 1.0, 0.0)
dvp.makeCosmeticLine(start,end,style, weight, pyGreen)